{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "nyc:snake",
			"spawn_egg": {
				"base_color": "#ABB890",
				"overlay_color": "#95685E"
			},
			"render_controllers": [
				"controller.render.snake"
			],
			"geometry": {
				"default": "geometry.snake"
			},
			"animations": {
				"walk": "animation.snake.walk"
			},
			"scripts": {
				"animate": [
					"walk"
				]
			},
			"textures": {
				"boa": "textures/entity/snake/boa",
				"gray": "textures/entity/snake/gray",
				"purple": "textures/entity/snake/purple",
				"red": "textures/entity/snake/red",
				"yellow": "textures/entity/snake/yellow",
				"green": "textures/entity/snake/green"
			},
			"materials": {
				"default": "entity"
			}
		}
	}
}